server:
  port: 10486

spring:
  application:
    name: shop-service
  profiles:
    active: dev
  config:
    import: 
      - optional:classpath:/
  main:
    allow-circular-references: true
  jpa:
    show-sql: true
  cloud:
    zookeeper:
      connect-string: zk-0.zk-hs.opcal-system.svc.cluster.local:2181,zk-1.zk-hs.opcal-system.svc.cluster.local:2181,zk-2.zk-hs.opcal-system.svc.cluster.local:2181
      discovery:
        prefer-ip-address: true

seata:
  enabled: true
  tx-service-group: default_tx_group
  service:
    vgroup-mapping:
      default_tx_group: default
    disable-global-transaction: false
  registry:
    type: zk
    zk:
      cluster: default
      server-addr: ${spring.cloud.zookeeper.connect-string}
      session-timeout: 6000
      connect-timeout: 2000

dubbo:
  application:
    register-mode: instance
    service-discovery.migration: FORCE_APPLICATION
  registry:
    address: zookeeper://${spring.cloud.zookeeper.connect-string}
    parameters:
      rootPath: /dubbo/service
  metadata-report:
    address: zookeeper://${spring.cloud.zookeeper.connect-string}
  protocols:
    dubbo:
      port: -1
  consumer:
    check: false
    
opcal:
  cloud:
    web:
      servlet:
        request-id: true
    log:
      servlet:
        request: true
      
